<template>
  <div class="d-flex w-100 px-3 py-2">
    <div class="mr-50">
      <span
        class="icon bg-primary text-white d-flex justify-content-center align-items-center rounded-circle mr-5"
      >
        <app-icon icon="box-open"></app-icon>
      </span>
    </div>
    <div class="flex-grow-1 d-flex items-start">
      <span class="body-1 mr-10 text-gray-600">{{ listName }} </span>
      <span class="text-gray-400">{{ numberOfCards }}</span>
    </div>
    <div type="button" @click="handleOpenOptions">
      <app-icon class="text-gray-600" icon="ellipsis-v"></app-icon>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, PropType } from "vue";

export default defineComponent({
  emits: ["openOptions"],
  props: {
    listName: {
      type: String,
      required: true,
    },
    numberOfCards: {
      type: Number,
      required: true,
    },
  },
  methods: {
    handleOpenOptions() {
      this.$emit("openOptions");
    },
  },
});
</script>

<style scoped>
.mr-50 {
  margin-right: 50px;
}

.mr-10 {
  margin-right: 10px;
}

.body-1 {
  font-size: 20px;
}

.icon {
  height: 25px;
  width: 25px;
  font-size: 0.75rem;
}
</style>
